TagLibraryInvoker (Grails 3.1.4)
Date: 2016-03-16

Package: grails.artefact.gsp

## [Groovy] Trait TagLibraryInvoker

- grails.artefact.gsp.TagLibraryInvoker

- A trait that adds the ability invoke tags to any class

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `TagLibraryLookup` | `getTagLibraryLookup()`
    `java.lang.String` | `getTaglibNamespace()`
    `java.lang.Object` | `methodMissing(java.lang.String methodName, java.lang.Object argsObject)` Method missing implementation that handles tag invocation by method name
    `java.lang.Object` | `propertyMissing(java.lang.String propertyName)` Looks up namespaces on missing property
    `void` | `setTagLibraryLookup(TagLibraryLookup tagLibraryLookup)`
    `T` | `withCodec(java.lang.Object codecInfo, groovy.lang.Closure<T> body)` @see WithCodecHelper#withCodec(grails.core.GrailsApplication, java.lang.Object, groovy.lang.Closure)

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `trait WebAttributes` | `currentRequestAttributes, getActionName, getControllerClass, getControllerName, getControllerNamespace, getFlash, getGrailsApplication, getGrailsAttributes, getParams, getPluginContextPath, getWebRequest`

- - ### Method Detail

    - #### TagLibraryLookup getTagLibraryLookup()

    - #### java.lang.String getTaglibNamespace()

    - #### java.lang.Object methodMissing(java.lang.String methodName, java.lang.Object argsObject)

      Method missing implementation that handles tag invocation by method name

      Parameters:
        `instance` - The instance
        `methodName` - The method name
        `argsObject` - The arguments
      Returns:
        The result

    - #### java.lang.Object propertyMissing(java.lang.String propertyName)

      Looks up namespaces on missing property

      Parameters:
        `instance` - The instance
        `propertyName` - The property name
      Returns:
        The namespace or a MissingPropertyException

    - #### @org.springframework.beans.factory.annotation.Autowired(required = false) void setTagLibraryLookup(TagLibraryLookup tagLibraryLookup)

    - #### T withCodec(java.lang.Object codecInfo, groovy.lang.Closure<T> body)

      See Also:
        WithCodecHelper#withCodec(grails.core.GrailsApplication, java.lang.Object, groovy.lang.Closure)